#
# spec file for package patterns-cockpit
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-cockpit
Version:        16.0
Release:        4.1
Summary:        Pattern for Cockpit, a web based remote system management interface
License:        MIT
Group:          Metapackages
URL:            http://en.opensuse.org/Patterns
Source0:        %name.rpmlintrc
ExclusiveArch:  x86_64 %arm32 aarch64 ppc64le s390x riscv64
Provides:       pattern() = cockpit
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 9060
Provides:       pattern-visible()
Obsoletes:      patterns-microos-cockpit
Provides:       patterns-microos-cockpit
Obsoletes:      patterns-base-cockpit
Provides:       patterns-base-cockpit
Requires:	cockpit
Requires:       cockpit-system
Requires:       cockpit-ws
Requires:       (cockpit-kdump if kdump)
Requires:       (cockpit-podman if podman)
Requires:       (cockpit-machines if libvirt-daemon-qemu)
Requires:       cockpit-networkmanager
Requires:       (cockpit-tukit if transactional-update)
Requires:       cockpit-storaged
Requires:       (cockpit-selinux if selinux-tools)
Requires:       (cockpit-packages if PackageKit)
Requires:       (cockpit-packagekit if PackageKit)
Requires:       cockpit-repos
Requires:       (cockpit-subscriptions if suseconnect-ng)
Requires:       (cockpit-firewalld if firewalld)
Requires:       sudo

%description
Packages required to run the Cockpit system management service.

%prep
# empty on purpose

%build
# empty on purpose

%install
mkdir -p %{buildroot}%{_docdir}/patterns-cockpit/
PATTERNS='cockpit'
for i in $PATTERNS; do
    echo "This file marks the pattern $i to be installed." \
        > %{buildroot}%{_docdir}/patterns-cockpit/${i}.txt
done

%files
%dir %{_docdir}/patterns-cockpit
%{_docdir}/patterns-cockpit/cockpit.txt

%changelog
* Mon Jul 21 2025 Alice Brooks <alice.brooks@suse.com>
- Require cockpit-firewalld if firewalld is installed so Cockpit is
  allowed through the firewall jsc#PED-13228
* Wed Jun 18 2025 Frederic Crozat <fcrozat@suse.com>
- Ensure cockpit-kdump is installed if kdump is installed.
* Thu Apr 24 2025 Miika Alikirri <miika.alikirri@suse.com>
- Added cockpit-packages
* Fri Apr 11 2025 Alice Brooks <alice.brooks@suse.com>
- Add requirement on sudo as the preferred method of gaining admin
  rights (bsc#1240569)
* Thu Mar 13 2025 Andreas Jaeger <aj@suse.com>
- Remove duplicate Summary line, fix better Summary
* Tue Mar  4 2025 Jiri Srain <jsrain@suse.com>
- Added cockpit-repositories and cockpit-subscriptions
* Fri Feb 21 2025 Frederic Crozat <fcrozat@suse.com>
- Initial package
